$(document).ready(function () {
    var delaiMesure = 3000;
    var delaiError = 2000;

    function loadVal1() {
        $.ajax({
            url: 'scripts/lireVal1et2.php',
            type: 'get',
            dataType: 'json',
            success: function (data) {
                $.each(data, function (entryIndex, entry) {
                    var val1 = (parseFloat(entry.val1) * 55 / 1023).toFixed(1);
                    var val2 = (parseFloat(entry.val2) * 100 / 1023).toFixed(0);
                    $("#val1").html(val1);  // Affichage de la valeur avec mise à l'échelle
                    $("#val2").html(val2);
                    console.log(entry.val1, entry.val2);
                })
            },
            timeout: delaiError,
            error: function () {
                // pour aller plus loin : gestion des erreurs
            }
        })
    }

    loadVal1(); // Exécuté une fois au chargement de la page

    setInterval(function () { // Boucle infinie, s'exécute
        loadVal1(); // toutes les 5s
    }, delaiMesure);

});